package de.subway_surfers.vpr_app;

import Logik.Zutat;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;

import java.util.ArrayList;

public class GerichterstellungMitarbeiterView {
    private @FXML HBox anzeigeInhaltsstoffe;
    private @FXML TextArea eingabeBeschreibung;
    private @FXML TextField eingabeName;
    private @FXML Button buttonInhaltsstoffe;
    private @FXML TextField eingabeInhaltsstoffe;

    private ArrayList<Zutat> zutaten;

    public void initialize() {
        zutaten = new ArrayList<>();

        //wird das Fenster vergrößert, wird das Eingabefeld für Inhaltstoffe und den Hinzufügenbutton
        // auf die volle breite vergrößert.
        ((Pane) eingabeInhaltsstoffe.getParent()).widthProperty().addListener((obs, oldValue, newValue) -> {
            //eingabeName, da dieses Feld immer die gesamte breite der Stage haben.
            eingabeInhaltsstoffe.setPrefWidth(eingabeName.getWidth() - buttonInhaltsstoffe.getPrefWidth());
        });
    }

    public void onButtonInhaltsstoffeClick(ActionEvent actionEvent) {
        String text = eingabeInhaltsstoffe.getText();
        if (!text.equals("")) {
            eingabeInhaltsstoffe.setText("");

            Button neuerInhalt = new Button();
            neuerInhalt.setText(text);
            anzeigeInhaltsstoffe.getChildren().add(neuerInhalt);

            Zutat neue = new Zutat(text);
            zutaten.add(neue);
            neuerInhalt.setOnAction(e -> {
                ((HBox) neuerInhalt.getParent()).getChildren().remove(neuerInhalt);
                zutaten.remove(neue);
            });
        }
    }
}
